"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.define = define;
exports.defineFactory = defineFactory;
Object.defineProperty(exports, "StoreFactory", {
  enumerable: true,
  get: function get() {
    return _StoreFactory.default;
  }
});
Object.defineProperty(exports, "connect", {
  enumerable: true,
  get: function get() {
    return _connect.default;
  }
});
Object.defineProperty(exports, "connectCallback", {
  enumerable: true,
  get: function get() {
    return _connectCallback.default;
  }
});
Object.defineProperty(exports, "useStoreDependency", {
  enumerable: true,
  get: function get() {
    return _useStoreDependency.default;
  }
});
exports.InspectStore = exports.DispatcherInstance = void 0;

var DispatcherInstance = _interopRequireWildcard(require("./dispatcher/DispatcherInstance"));

exports.DispatcherInstance = DispatcherInstance;

var InspectStore = _interopRequireWildcard(require("./store/InspectStore"));

exports.InspectStore = InspectStore;

var _StoreSingleton = _interopRequireDefault(require("./store/StoreSingleton"));

var _StoreFactory = _interopRequireDefault(require("./store/StoreFactory"));

var _connect = _interopRequireDefault(require("./dependencies/connect"));

var _connectCallback = _interopRequireDefault(require("./dependencies/connectCallback"));

var _useStoreDependency = _interopRequireDefault(require("./dependencies/useStoreDependency"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function define() {
  return new _StoreSingleton.default();
}

function defineFactory() {
  return new _StoreFactory.default({});
}