export declare function oForEach(subject: {
    [key: string]: any;
}, operation: (value: any, key: string) => void): void;
export declare function oMap<ToMap extends {
    [key: string]: any;
}, Mapped>(subject: {
    [key in keyof ToMap]: ToMap[key];
}, mapper: (value: any, key: string | number | symbol) => Mapped): {
    [key in keyof ToMap]: Mapped;
};
export declare function oMerge<T>(subject: {
    [key: string]: T;
}, updates: {
    [key: string]: T;
}): {
    [key: string]: T;
};
export declare function oReduce<T, R>(subject: {
    [key: string]: T;
}, reducer: (acc: R, value: T, key: string) => R, initialAcc: R): R;
export declare function shallowEqual(obj1: any, obj2: any): boolean;
